(*
This script can be saved as a stay-open application and added to your startup items. When run, it will check your current IP address once every 60 seconds and then adjust the dialing settings of Dialectic accordingly. In this way you could automatically have Dialectic switch between a home and office location (e.g,, having to dial "9," to get an outside line at work but not while you are home). Adjust the IP addresses accordingly. 

If you don't have a static IP address, you could use some other trigger to identify the current location including the actual location setting of the Network preference panel.

You could also adjust the script to run as a background-only application so it would not appear in the Dock and would be completely transparent to you while running. You could then add the script to your startup items in the Account pane of the System Preferences and it would launch whenever you log in. The easiest way to make a script application into a faceless background only (FBO) application is to use "Drop Script Backgrounder" by James Sentman <http://www.sentman.com/backgrounder/>.
*)

property home_ip : "192.168.1.2"
property office_ip : "192.168.1.3"

property dialectic_home_location : "Home"
property dialectic_office_location : "Office"

on run
	my update_location()
end run

on idle
	my update_location()
	return 60 --check once every 60 seconds
end idle

on get_ip()
	try
		set the_interface to 0
		repeat
			set ip_internal to do shell script ("/sbin/ifconfig en" & the_interface & " | head -3 | grep 'inet ' | cut -f 2 -d ' '")
			if ip_internal is not in {"inet", ""} then exit repeat
			set the_interface to the_interface + 1
			if the_interface  5 then
				set ip_internal to "unknown"
				exit repeat
			end if
		end repeat
		return ip_internal
	on error
		return false
	end try
end get_ip

on update_location()
	try
		set current_ip to my get_ip()
		if current_ip = false then return
		tell application "Dialectic"
			if current_ip = home_ip then
				set current of location dialectic_home_location to true
			else if current_ip = office_ip then
				set current of location dialectic_office_location to true
			end if
		end tell
	end try
end update_location
